UEditor WebService uitableview random input colors io vue过滤器 easyui视频 seo计费系统 oracle自增长 java清空数组 coreldraw入门学习 winbox使用教程 河南普通话报名入口 python3网络编程 python功能 python内置库 python编程题 配置python环境 python基础教程免费 python的文件操作 python获取输入 java队列 java运行环境配置 java数组添加元素 java如何配置环境变量 java方法调用 liunx命令大全 python 教程 图吧导航怎么样 m4a转mp3格式转换器 js格式化时间 cmd代码 免费书籍 fireworks8 上传附件 游戏python界面编程 暗黑3挂机plusready jsp源码下载
当前位置: 首页 > 学习教程  > 编程学习

CAD 取某个图层所有对象的ObjectId

2021/1/9 1:53:28 文章标签: cad图层无法删除

/// <summary> /// 取得图层下的所有对象ObjctId /// </summary> /// <param name"name">图层名称</param> /// <returns>ObjctId集合</returns> public static ObjectIdCollection Ge…


         /// <summary>
        /// 取得图层下的所有对象ObjctId
        /// </summary>
        /// <param name="name">图层名称</param>
        /// <returns>ObjctId集合</returns>
        public static ObjectIdCollection GetObjectIdsAtLayer(string name)
        {
            ObjectIdCollection ids = new ObjectIdCollection();
            PromptSelectionResult ProSset = null;
            TypedValue[] filList = new TypedValue[1] { new TypedValue((int)DxfCode.LayerName, name) };
            SelectionFilter sfilter = new SelectionFilter(filList);
            Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
            ProSset = ed.SelectAll(sfilter);
            if (ProSset.Status == PromptStatus.OK)
            {
                SelectionSet sst = ProSset.Value;
                ObjectId[] oids = sst.GetObjectIds();
                for (int i = 0; i < oids.Length; i++)
                {
                    ids.Add(oids[i]);
                }
            }
            return ids;
        }


本文链接: http://www.dtmao.cc/news_show_1100049.shtml

附件下载

相关教程

    暂无相关的数据...

共有条评论 网友评论

验证码: 看不清楚?